package com.eactive.eai.common.testcall;

import com.eactive.eai.adapter.AdapterVO;

/*
* TestCallRunner가 일정 주기로 TestCall의 isAlive() 메서드를 실행하여 결과가 true일 경우 해당 어댑터의 상태를 true로 변경한다.
* Recovery 통신 테스트 로직을 isAlive() 메서드에 구현한다.
*/
public interface TestCall {
	public AdapterVO getAdapterInfo();

	public void setAdapterInfo(AdapterVO adapterInfo);

	public boolean isAlive() throws TestCallException;
}
